QuickFIX: FIX::UtcDateField Class Reference

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::UtcDateField Class Reference

Field that contains a UTC date value. More...

`#include <Field.h>`

Inheritance diagram for FIX::UtcDateField:
[legend]
Collaboration diagram for FIX::UtcDateField:
[legend]

List of all members.

## Public Member Functions
| UtcDateField (int field, const UtcDate &data)
| UtcDateField (int field)
void | setValue (UtcDate &value)
UtcDate | getValue () const throw ( IncorrectDataFormat )
| Get the string representation of the Field (i.e.) 55=MSFT[SOH].
| operator UtcDate () const
bool | operator< (const UtcDateField &rhs) const
| Compares fields based on thier tag numbers.
bool | operator== (const UtcDateField &rhs) const
bool | operator!= (const UtcDateField &rhs) const

## Detailed Description

Field that contains a UTC date value.

Definition at line 361 of file Field.h.

## Constructor & Destructor Documentation

FIX::UtcDateField::UtcDateField | ( | int | field,
|  | const UtcDate & | data |
| ) |  |  | `[inline, explicit]`

Definition at line 364 of file Field.h.

    00365 : FieldBase( field, UtcDateConvertor::convert( data ) ) {}

FIX::UtcDateField::UtcDateField | ( | int | field | ) | `[inline]`

Definition at line 366 of file Field.h.

    00367 : FieldBase( field, UtcDateConvertor::convert( UtcDate() ) ) {}

## Member Function Documentation

UtcDate FIX::UtcDateField::getValue | ( |  | ) | const throw ( IncorrectDataFormat )`[inline]`

Get the string representation of the Field (i.e.) 55=MSFT[SOH].

Reimplemented from FIX::FieldBase.

Definition at line 371 of file Field.h.

Referenced by operator!=(), operator<(), and operator==().

    00372     { try
    00373       { return UtcDateConvertor::convert( getString() ); }
    00374       catch( FieldConvertError& )
    00375       { throw IncorrectDataFormat( getField(), getString() ); } }

FIX::UtcDateField::operator UtcDate | ( |  | ) | const`[inline]`

Definition at line 376 of file Field.h.

    00377     { return getValue(); }

bool FIX::UtcDateField::operator!= | ( | const UtcDateField & | rhs | ) | const`[inline]`

Definition at line 383 of file Field.h.

References getValue().

    00384     { return getValue() != rhs.getValue(); }

bool FIX::UtcDateField::operator< | ( | const UtcDateField & | field | ) | const`[inline]`

Compares fields based on thier tag numbers.

Reimplemented from FIX::FieldBase.

Definition at line 379 of file Field.h.

References getValue().

    00380     { return getValue() < rhs.getValue(); }

bool FIX::UtcDateField::operator== | ( | const UtcDateField & | rhs | ) | const`[inline]`

Definition at line 381 of file Field.h.

References getValue().

    00382     { return getValue() == rhs.getValue(); }

void FIX::UtcDateField::setValue | ( | UtcDate & | value | ) | `[inline]`

Definition at line 369 of file Field.h.

    00370     { setString( UtcDateConvertor::convert( value ) ); }

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/Field.h